﻿@model Tuple<List<ARGNSPDCView>, PDCSAPCombo>
@{
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PDC.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PDC.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PDC.PDCList</h3>
    </div>

    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@PDC.Code</th>
                        <th>@PDC.PD</th>
                        <th>@PDC.Employee</th>
                        <th>@PDC.Shift</th>
                        <th>@PDC.Vendor</th>
                        <th>@PDC.MP</th>
                        <th>@PDC.UM</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ARGNSPDCView item in Model.Item1)
                    {
                        ARGNS.Model.Implementations.SAP.EmployeeSAP auxEmployee = Model.Item2.ListEmployee.Where(c => c.empID == item.U_empID.Value).FirstOrDefault();
                        ARGNSShifts auxShift = Model.Item2.ListShifts.Where(c => c.U_ShiftCode == item.U_ShiftCode).FirstOrDefault();
                        <tr>
                            <td>@item.Code</td>
                            <td>@((item.U_Date != null && item.U_Date != DateTime.MinValue) ? item.U_Date.ToString().AsDateTime().ToShortDateString() : "")</td>
                            <td>@(auxEmployee != null ? auxEmployee.getName : "")</td>
                            <td>@(auxShift != null ? auxShift.U_Desc : "")</td>
                            <td>@item.U_Vendor</td>
                            <td>@item.U_MinPres</td>
                            <td>@item.U_UnprodMins</td>
                            <td>
                                @if (_View)
                                {
                                    <a href='@Url.Action("PDCAction", "PDC", new { @PDCAction = "View", @Code = item.Code })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDC.View
                                    </a>
                                }
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right">
        <div class="but_blok_footer">
            <a href='@Url.Action("PDCAction", "PDC", new { @PDCAction = "Add", @Code = 0 })' class="btn btn-success btn-ls pull-right ">
                <span class="glyphicon glyphicon-file"></span>&nbsp;@PDC.Add
            </a>
        </div>
    </div>
}
